<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Str;
use App\Models\Event_post;
use App\Models\Tag;
use App\Models\Event_tag;

use App\Http\Controllers\Controller;
use App\User;
use Carbon\Carbon;
use DB;

use Artisan;
use Session;

class AdminController extends Controller{
    public $successStatus = 200;
    public $errorStatus = 401;

    // --------------GET ADDRESS PAGE ------------- //
    public function url_get_contents ($Url) {
        if (!function_exists('curl_init')){ 
            die('CURL is not installed!');
        }
        
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $Url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $output = curl_exec($ch);
        curl_close($ch);
        
        return $output;
    }
    // --------------GET ADDRESS PAGE ------------- //

    // -------------- LOGIN PAGE ------------- //
    public function index(Request $request){
        if ($request->session()->has('id')) {
            return redirect('admin/dashboard');
        } else{
            return view('admin.login'); 
        }
    }
    // -------------- LOGIN PAGE ------------- //

    // -------------- LOGIN AUTHENTICATION ------------- //
    public function login(Request $request){
        $validateData = $request->validate([
            'email' => 'required|email',
            'password' => 'required'
        ]);
        
        $postData = $request->all();
        $ifExists = DB::table('users_system')->where('email', $postData['email'])->where('password', $postData['password'])->first();
        if (!empty($ifExists)) {
            $request->session()->put([
                'id' => $ifExists->users_system_id,
                'users_system_roles_id'=>$ifExists->users_system_roles_id,
                'user_image' => $ifExists->user_image,
                'fname' => $ifExists->first_name,
                'lname' => '',
                'email' => $ifExists->email,
            ]);
            Session::flash('success', ' Logged in successfully.'); 
            return redirect('admin/dashboard');
        } else {
            Session::flash('error', 'Invalid Email/Password'); 
            return redirect()->back();
        }
    }
    // -------------- LOGIN AUTHENTICATION ------------- //

    // -------------- LOGOUT ------------- //
    public function logout(Request $request){
        $request->session()->flush();
        return redirect('admin');
    }
    // -------------- LOGOUT ------------- //

    // ------------- DASHBOARD -------------- //
    public function dashboard(){
        if(session()->has('id')){
            $total_things                   = number_format(DB::table('things')->count());
            $total_categories               = number_format(DB::table('categories')->count());
            $total_users_customers          = number_format(DB::table('users_customers')->count());
            $total_active_users_customers   = number_format(DB::table('users_customers')->where('status', 'Active')->count());
            
            $total_things_1               = DB::table('things')->whereMonth('date_added', 1)->count();
            $total_things_2               = DB::table('things')->whereMonth('date_added', 2)->count();
            $total_things_3               = DB::table('things')->whereMonth('date_added', 3)->count();
            $total_things_4               = DB::table('things')->whereMonth('date_added', 4)->count();
            $total_things_5               = DB::table('things')->whereMonth('date_added', 5)->count();
            $total_things_6               = DB::table('things')->whereMonth('date_added', 6)->count();
            $total_things_7               = DB::table('things')->whereMonth('date_added', 7)->count();
            $total_things_8               = DB::table('things')->whereMonth('date_added', 8)->count();
            $total_things_9               = DB::table('things')->whereMonth('date_added', 9)->count();
            $total_things_10              = DB::table('things')->whereMonth('date_added', 10)->count();
            $total_things_11              = DB::table('things')->whereMonth('date_added', 11)->count();
            $total_things_12              = DB::table('things')->whereMonth('date_added', 12)->count();

            $total_users_1               = DB::table('users_customers')->whereMonth('date_added', 1)->count();
            $total_users_2               = DB::table('users_customers')->whereMonth('date_added', 2)->count();
            $total_users_3               = DB::table('users_customers')->whereMonth('date_added', 3)->count();
            $total_users_4               = DB::table('users_customers')->whereMonth('date_added', 4)->count();
            $total_users_5               = DB::table('users_customers')->whereMonth('date_added', 5)->count();
            $total_users_6               = DB::table('users_customers')->whereMonth('date_added', 6)->count();
            $total_users_7               = DB::table('users_customers')->whereMonth('date_added', 7)->count();
            $total_users_8               = DB::table('users_customers')->whereMonth('date_added', 8)->count();
            $total_users_9               = DB::table('users_customers')->whereMonth('date_added', 9)->count();
            $total_users_10              = DB::table('users_customers')->whereMonth('date_added', 10)->count();
            $total_users_11              = DB::table('users_customers')->whereMonth('date_added', 11)->count();
            $total_users_12              = DB::table('users_customers')->whereMonth('date_added', 12)->count();
            
            $recent_users_customers           = DB::table('users_customers')->orderBy("users_customers_id", "DESC")->take(5)->get();
            
            return view('admin.dashboard', compact('recent_users_customers', 'total_things', 'total_categories', 'total_users_customers', 'total_active_users_customers',
                'total_things_1',
                'total_things_2',
                'total_things_3',
                'total_things_4',
                'total_things_5',
                'total_things_6',
                'total_things_7',
                'total_things_8',
                'total_things_9',
                'total_things_10',
                'total_things_11',
                'total_things_12',

                'total_users_1',
                'total_users_2',
                'total_users_3',
                'total_users_4',
                'total_users_5',
                'total_users_6',
                'total_users_7',
                'total_users_8',
                'total_users_9',
                'total_users_10',
                'total_users_11',
                'total_users_12'
            ));
        } else {
            return redirect('admin');
        }
    }
    // ------------- DASHBOARD -------------- //

    // ------------- MANAGE USERS -------------- //
    public function users_customers(Request $request){
        if ($request->session()->has('id')) {
            $users = db::table('users_customers')->where('status', '!=','Deleted')->orderBy('users_customers_id', 'DESC')->get();
            return view('admin.users_customers', compact('users'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE USERS -------------- //

    // ------------- UPDATE USERS UPDATE -------------- //
    public function users_customers_update($users_customers_id, $status){
        $update['status'] = $status;
        $updated = DB::table('users_customers')->where('users_customers_id', '=', $users_customers_id)->update($update);
        if ($updated) {
            Session::flash('success', ' Data Updated successfully'); 
            return back()->with('success', 'Data Updated successfully');
        } else {
            Session::flash('error', ' Oops! something went wrong'); 
            return back()->with('errors', 'Oops! something went wrong');
        }
    }
    // ------------- UPDATE USERS UPDATE -------------- //

    // ------------- DELETE USERS UPDATE -------------- //
    public function users_customers_delete($users_customers_id){
        if(session()->has('id')){
            if(!empty($users_customers_id)){
                $checkdata = DB::table('users_customers')->where('users_customers_id', $users_customers_id)->where('status', '!=','Deleted')->get();

                if(count($checkdata) != 0){
                    $del = DB::table('users_customers')->where('users_customers_id', '=', $users_customers_id)->update(array( 'status' => 'Deleted'));
                    if($del){
                        return back()->with('success', 'Data Deleted successfully');
                    } else {
                        return back()->with('error', 'Oops! something went wrong');
                    }
                } else {
                    return back()->with('success', 'This record is already deleted');
                }
            } else {
                return back()->with('error', 'No Data Found');
            }
        } else {
            return redirect('admin');
        }
    }
    // ------------- DELETE USERS UPDATE -------------- //

    // ------------- MANAGE CATEGORIES -------------- //
    public function categories(){
        if (session()->has('id')) {
            $fetch_data = db::table('categories')->where('status', '!=','Deleted')->orderBy('categories_id', 'DESC')->get();
            return view('admin.categories', compact('fetch_data'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE CATEGORIES -------------- //

    // ------------- MANAGE CATEGORIES ADD -------------- //
    public function categories_add(){
        if (session()->has('id')) {
            $categories = db::table('categories')->where('status', '!=','Deleted')->orderBy('categories_id', 'DESC')->get();
            return view('admin.categories_add', compact('categories'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE CATEGORIES ADD -------------- //

    // ------------- MANAGE CATEGORIES SAVE -------------- //
    public function categories_add_save(Request $request){
        if(session()->has('id')){
            $data['parent_id']      = $request->parent_id;
            $data['name']           = $request->name;
            $data['description']    = $request->description;
            
            $data['date_added']     = date('Y-m-d H:i:s');
            $data['date_modified']  = date('Y-m-d H:i:s');

            $data['status']         = $request->status;    
            
            if ($request->hasfile('images')) {
                $file = $request->file('images');

                if ($file->isValid()) {
                    $path = public_path('uploads/categories/');
                    $image_name = time() . '.jpeg';
                    if ($file->move($path, $image_name)) {
                        $data['image'] = 'uploads/categories/' . $image_name;
                    }
                }
            }

            $result = DB::table('categories')->insertGetId($data);  
            if($result){
                Session::flash('success', ' Data Added successfully'); 
                return redirect('admin/categories');
            } else {
                Session::flash('error', ' Oops! something went wrong'); 
                return redirect('admin/categories');
            }
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE CATEGORIES SAVE -------------- //

    // ------------- MANAGE CATEGORIES UPDATE -------------- //
    public function categories_update($id){
        if (session()->has('id')) {
            $fetch_data = db::table('categories')->where('categories_id', $id)->first();
            $categories = db::table('categories')->where('status', '!=','Deleted')->orderBy('categories_id', 'DESC')->get();
            return view('admin.categories_update', compact('fetch_data', 'categories'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE CATEGORIES UPDATE -------------- //

    // ------------- MANAGE UPDATE CATEGORIES -------------- //
    public function categories_update_save($id, Request $request){
        if(session()->has('id')){
            if(!empty($id)){
                $data['parent_id']      = $request->parent_id;
                $data['name']           = $request->name;
                $data['description']    = $request->description;
                
                $data['date_modified']  = date('Y-m-d H:i:s');

                $data['status']         = $request->status;    
                
                if ($request->hasfile('images')) {
                    $file = $request->file('images');

                    if ($file->isValid()) {
                        $path = public_path('uploads/categories/');
                        $image_name = time() . '.jpeg';
                        if ($file->move($path, $image_name)) {
                            $data['image'] = 'uploads/categories/' . $image_name;
                        }
                    }
                }

                $result = DB::table('categories')->where('categories_id', '=', $id)->update($data);
                if($result){
                    Session::flash('success', 'Data Updated successfully'); 
                } else {
                    Session::flash('error', 'Oops! Something went wrong'); 
                }
                return redirect('admin/categories');
            } else {
                Session::flash('error', 'No Data Found'); 
                return redirect('admin/categories');
            }
        } else {
            return redirect('admin');
        }
    }
    
    // ------------- MANAGE UPDATE CATEGORIES -------------- //

    // ------------ MANAGE DELETE CATEGORIES --------- //
    public function categories_delete($id){
        $data['status'] = 'Deleted';
        $result = DB::table('categories')->where('categories_id', '=', $id)->update($data);
        
        if($result){
            Session::flash('success', 'Data Deleted successfully'); 
        } else {
            Session::flash('error', 'Oops! Something went wrong'); 
        }
        
        return redirect('admin/categories');
    }
    // ------------ MANAGE DELETE CATEGORIES --------- //

    // ------------- MANAGE THINGS -------------- //
    public function things($param1 = '', $param2 = ''){
        if (session()->has('id')) {
            $fetch_data = db::table('things')->where('status', '!=','Deleted')->orderBy('things_id', 'DESC')->get();
            return view('admin.things', compact('fetch_data'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE THINGS -------------- //

    // ------------- MANAGE THINGS ADD -------------- //
    public function things_add(){
        if (session()->has('id')) {
            $users_customers = db::table('users_customers')->where('status', '!=','Deleted')->orderBy('users_customers_id', 'DESC')->get();
            $categories = db::table('categories')->where('status', '!=','Deleted')->orderBy('categories_id', 'DESC')->get();
            return view('admin.things_add', compact('categories', 'users_customers'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE THINGS ADD -------------- //

    // ------------- MANAGE THINGS SAVE -------------- //
    public function things_add_save(Request $request){
        if(session()->has('id')){
            // print_r($_POST); exit;

            $data['users_customers_id']     = $request->users_customers_id;
            $data['categories_id']          = $request->categories_id;
            $data['categories_id']          = $request->categories_id;
            
            $data['name']                   = $request->name;
            $data['earn_points']            = $request->earn_points;

            $data['location']               = $request->location;
            $data['longitude']              = $request->longitude;
            $data['lattitude']              = $request->lattitude;
            $data['google_place_id']        = $request->google_place_id;
            $data['country']                = $request->country;
            $data['state']                  = $request->state;
            $data['city']                   = $request->city;
            $data['post_code']              = $request->post_code;
            
            $data['sources_links']          = $request->sources_links;
            $data['confirm_by_moderator']   = $request->confirm_by_moderator;
            
            $data['description']            = $request->description;
            $data['status']                 = $request->status;
            
            $data['date_added']             = date('Y-m-d H:i:s');
            $data['date_modified']          = date('Y-m-d H:i:s');
            
            $things_id = DB::table('things')->insertGetId($data);

            // INSERT TAGS
            $tags                   = explode(',', $request->tags);
            foreach($tags as $tag){
                $tags_array['things_id']    = $things_id;
                $tags_array['name']         = $tag;
                $tags_array['status']       = 'Active';
                $result = DB::table('things_tags')->insert($tags_array);
            }
            // INSERT TAGS

            // INSERT IMAGES
            if ($request->hasfile('images')) {
                foreach($request->file('images') as $file){
                    if ($file->isValid()) {
                        $path = public_path('uploads/things/');
                        $image_name = $things_id . '-'. rand() .'.jpeg';
                        if ($file->move($path, $image_name)) {
                            $images_array['things_id'] = $things_id;
                            $images_array['name'] = 'uploads/things/' . $image_name;
                            $images_array['status'] = 'Active';
                            $result = DB::table('things_images')->insert($images_array);
                        }
                    }
                }
            }
            // INSERT IMAGES

            if($result){
                Session::flash('success', ' Data Added successfully'); 
                return redirect('admin/things');
            } else {
                Session::flash('error', ' Oops! something went wrong'); 
                return redirect('admin/things');
            }
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE THINGS SAVE -------------- //

    // ------------- MANAGE THINGS UPDATE -------------- //
    public function things_update($id){
        if (session()->has('id')) {
            $fetch_data         = db::table('things')->where('things_id', '=', $id)->orderBy('things_id', 'DESC')->first();
            $categories         = db::table('categories')->orderBy('categories_id', 'DESC')->get();
            $users_customers    = db::table('users_customers')->orderBy('users_customers_id', 'DESC')->get();
            return view('admin.things_update', compact('fetch_data', 'categories', 'users_customers'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE THINGS UPDATE -------------- //

    // ------------- UPDATE THINGS -------------- //
    public function things_update_save(Request $request,$id){
        if(session()->has('id')){ 
            if(!empty($id)){
                $data['users_customers_id']     = $request->users_customers_id;
                $data['categories_id']          = $request->categories_id;
                
                $data['name']                   = $request->name;
                $data['earn_points']            = $request->earn_points;
                
                $data['location']               = $request->location;
                $data['longitude']              = $request->longitude;
                $data['lattitude']              = $request->lattitude;
                $data['google_place_id']        = $request->google_place_id;
                $data['country']                = $request->country;
                $data['state']                  = $request->state;
                $data['city']                   = $request->city;
                $data['post_code']              = $request->post_code;
                
                $data['sources_links']          = $request->sources_links;
                $data['confirm_by_moderator']   = $request->confirm_by_moderator;
                
                $data['description']            = $request->description;
                $data['status']                 = $request->status;
                
                $data['date_modified']          = date('Y-m-d H:i:s');
                
                $update_data = DB::table('things')->where('things_id', '=', $id)->update($data);

                //DELETE OLD TAGS
                DB::table('things_tags')->where('things_id', $id)->delete();
                //DELETE OLD TAGS

                // ADD TAGS
                $tags                   = explode(',', $request->tags);
                foreach($tags as $tag){
                    $tags_array['things_id']    = $id;
                    $tags_array['name']         = $tag;
                    $tags_array['status']       = 'Active';
                    $result = DB::table('things_tags')->insert($tags_array);
                }
                // ADD TAGS

                if ($request->hasfile('images')) {
                    //DELETE OLD 
                    DB::table('things_images')->where('things_id', $id)->delete();
                    //DELETE OLD

                    //ADD NEW
                    foreach($request->file('images') as $file){
                        if ($file->isValid()) {
                            $path = public_path('uploads/things/');
                            $image_name = $id . '-'. rand() .'.jpeg';
                            if ($file->move($path, $image_name)) {
                                $images_array['events_id'] = $id;
                                $images_array['name'] = 'uploads/things/' . $image_name;
                                $images_array['status'] = 'Active';
                                $update_data = DB::table('things_images')->insert($images_array);
                            }
                        }
                    }
                    //ADD NEW
                }

                if($update_data){
                    Session::flash('success', ' Data Updated successfully'); 
                    return redirect('admin/things');
                } else {
                    Session::flash('error', ' Oops! something went wrong'); 
                    return redirect('admin/things');
                }
            } else {
                Session::flash('error', ' No Data Found'); 
                return redirect('admin/things');
            }
        } else {
            return redirect('admin');
        }
    }
    // ------------- UPDATE THINGS -------------- //

    // ------------ MANAGE DELETE THINGS --------- //
    public function things_delete($id){
        $data['status'] = 'Deleted';
        $result = DB::table('things')->where('things_id', '=', $id)->update($data);
        $result = DB::table('things_images')->where('things_id', '=', $id)->update($data);
        $result = DB::table('things_tags')->where('things_id', '=', $id)->update($data);
        
        if($result){
            Session::flash('success', 'Data Deleted successfully'); 
        } else {
            Session::flash('error', 'Oops! Something went wrong'); 
        }
        
        return redirect('admin/things');
    }
    // ------------ MANAGE DELETE THINGS --------- //


    // ------------- ACCOUNT SETTINGS -------------- //
    public function account_settings(){
        if(session()->has('id')){
            $fetch_data = DB::table('users_system')->where('users_system_id',session('id'))->get();
            return view('admin.account_settings',compact('fetch_data'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- ACCOUNT SETTINGS -------------- //

    // ------------- UPDATE ACCOUNT SETTINGS -------------- //
    public function account_settings_update(Request $req,$id){
        $insert=array();
        $insert['first_name'] = $req->first_name;
        $insert['email'] = $req->email;
        $insert['password'] = $req->password;
        
        $insert['city'] = $req->city;
        $insert['address'] = $req->address;
        $insert['mobile'] = $req->mobile;

        if ($req->hasfile('image')) {
            $file = $req->file('image');
            if ($file->isValid()) {
                $ext = $file->extension();
                $path = public_path('uploads/users_system/');
                $prefix = 'user-' . md5(time());
                $img_name = $prefix . '.' . $ext;
                if ($file->move($path, $img_name)) {
                    $insert['user_image'] = 'uploads/users_system/' . $img_name;
                }
            }
        }

        $a = DB::table('users_system')->where('users_system_id','=',$id)->update($insert);
        if ($a) {
            Session::flash('success', ' Profile Updated successfully'); 
            return redirect('admin/account_settings');
        } else {
            Session::flash('error', ' oops! something went wrong'); 
            return redirect('admin/account_settings');
        }
    }
    // ------------- UPDATE ACCOUNT SETTINGS -------------- //

    // ------------- MANAGE SYSTEM USERS -------------- //
    public function users_system(Request $request){
        if ($request->session()->has('id')) {
            $users= db::table('users_system')->orderBy('users_system_id', 'DESC')->get();
            return view('admin.users_system', compact('users'));
        } else {
            return view('admin.login');
        }
    }
    // ------------- MANAGE SYSTEM USERS -------------- //

    // ------------- UPDATE SYSTEM USERS -------------- //
    public function users_system_update(Request $req){
        $insert=array();
        $insert['total_conncash'] = $req->total_conncash;
        $insert['status'] = $req->status;

        if($req->status=='Active'){
            $insert['status'] = 'Active';
        }

        if($req->status=='Inactive'){
            $insert['status'] = 'Inactive';
        }
        
        $a = DB::table('users_system')->where('users_system_id','=',$req->users_system_id)->update($insert);
        if ($a) {
            return back()->with('success', 'Data Updated successfully');
        } else {
             return back()->with('errors', 'Oops! something went wrong');
        }
    }
    // ------------- UPDATE SYSTEM USERS -------------- //

    // ------------- DELETE SYSTEM USERS -------------- //
    public function users_system_delete(Request $req){
        if(session()->has('id')){
            if(!empty($req->users_id)){
                $checkdata = DB::table('users_system')->where('users_system_id', $req->users_system_id)->where('status', '!=','Deleted')->get();

                if(count($checkdata) != 0){
                    $del=DB::table('users_system')->where('users_system_id', '=', $req->users_system_id)->update(array( 'status' => 'Deleted'));
                    if($del){
                        Session::flash('success', ' Data Deleted successfully'); 
                        return back()->with('success', 'Data Deleted successfully');
                    }else{
                        Session::flash('error', ' Oops! something went wrong'); 
                        return back()->with('error', 'Oops! something went wrong');
                    }
                } else {
                    Session::flash('error', ' This record is already deleted in status'); 
                    return back()->with('error', 'This record is already deleted in status');
                }
            } else {
                Session::flash('error', ' Not Found'); 
                return back()->with('error', 'Not Found');
            }
        } else {
            return redirect('admin');
        }
    }
    // ------------- DELETE SYSTEM USERS -------------- //

    // ------------- MANAGE SYSTEM SETTINGS -------------- //
    public function system_settings(Request $request){
        if ($request->session()->has('id')) {
            $system_settings = DB::table('system_settings')->get();
            return view('admin.system_settings', compact('system_settings'));
        } else {
            return redirect('admin');
        }
    }
    // ------------- MANAGE SYSTEM ROLES EDIT -------------- //

    // ------------- MANAGE SYSTEM USERS ROLES DATA -------------- //
    public function system_settings_edit(Request $req){
        $page_name  = $req->page_name;
        // dd($req->all());    

        if(isset($req->system_name)){
            $data['description']          = $req->system_name;
            DB::table('system_settings')->where('type', 'system_name')->update($data);
        } 
        
        if(isset($req->email)){
            $data['description']          = $req->email;
            DB::table('system_settings')->where('type', 'email')->update($data);
        } 
        
        if(isset($req->phone)){
            $data['description']          = $req->phone;
            DB::table('system_settings')->where('type', 'phone')->update($data);
        } 
        
        if(isset($req->language)){
            $data['description']          = $req->language;
            DB::table('system_settings')->where('type', 'language')->update($data);
        } 
        
        if(isset($req->address)){
            $data['description']          = $req->address;
            DB::table('system_settings')->where('type', 'address')->update($data);
        } 
        
        if(isset($req->smtp_host)){
            $data['description']          = $req->smtp_host;
            DB::table('system_settings')->where('type', 'smtp_host')->update($data);
        } 
        
        if(isset($req->smtp_port)){
            $data['description']          = $req->smtp_port;
            DB::table('system_settings')->where('type', 'smtp_port')->update($data);
        } 
        
        if(isset($req->smtp_username)){
            $data['description']          = $req->smtp_username;
            DB::table('system_settings')->where('type', 'smtp_username')->update($data);
        } 
        
        if(isset($req->smtp_password)){
            $data['description']          = $req->smtp_password;
            DB::table('system_settings')->where('type', 'smtp_password')->update($data);
        } 
        
        if(isset($req->geo_api_key)){
            $data['description']          = $req->geo_api_key;
            DB::table('system_settings')->where('type', 'geo_api_key')->update($data);
        } 
        
        if(isset($req->onesignal_appId)){
            $data['description']          = $req->onesignal_appId;
            DB::table('system_settings')->where('type', 'onesignal_appId')->update($data);
        } 
        
        if(isset($req->one_signal_server_key)){
            $data['description']          = $req->one_signal_server_key;
            DB::table('system_settings')->where('type', 'one_signal_server_key')->update($data);
        } 
        
        if(isset($req->one_signal_sender_id)){
            $data['description']          = $req->one_signal_sender_id;
            DB::table('system_settings')->where('type', 'one_signal_sender_id')->update($data);
        } 
        
        if(isset($req->social_login)){
            $data['description']          = $req->social_login;
            DB::table('system_settings')->where('type', 'social_login')->update($data);
        } 

        if(isset($req->radius_unit)){
            $data['description']          = $req->radius_unit;
            DB::table('system_settings')->where('type', 'radius_unit')->update($data);  
        }
        
        if(isset($req->radius)){
            $data['description']          = $req->radius;
            DB::table('system_settings')->where('type', 'radius')->update($data);  
        }
        
        if(isset($req->email_templates)){
            $data['description']          = $req->email_templates;
            DB::table('system_settings')->where('type', 'email_templates')->update($data);
        } 
        
        if(isset($req->cron_job)){
            $data['description']          = $req->cron_job;
            DB::table('system_settings')->where('type', 'cron_job')->update($data);
        } 

        if (isset($req->image)) {
            $image              = $req->file('image');
            $image1_name        = $image->getClientOriginalName();
            $destinationPath    = public_path().'/uploads/system_image' ;
            $image_n            = $image1_name;
            $uploaded           = $image->move($destinationPath, $image1_name);
            
            $data['description'] = 'uploads/system_image/' . $image_n;
            DB::table('system_settings')->where('type', 'system_image')->update($data);
        }   

        if (isset($req->image_favicon)) {
            $image              = $req->file('image_favicon');
            $image1_name        = $image->getClientOriginalName();
            $destinationPath    = public_path().'/uploads/system_image_favicon' ;
            $image_n            = $image1_name;
            $uploaded           = $image->move($destinationPath, $image1_name);
            
            $data['description'] = 'uploads/system_image_favicon/' . $image_n;
            DB::table('system_settings')->where('type', 'system_image_favicon')->update($data);
        }   

        session()->flash('success', 'System settings updated successfully!');
        return redirect('admin/'.$page_name);
    }
    
    //  Email Templates
    public function email_templates(){
        // Fetch your email templates data here
        $email_templates = DB::table('email_templates')->orderBy('email_templates_id','DESC')->get();

        return view('admin.email_templates', compact('email_templates'));
    }

    public function edit_template(Request $request,$id){ 
        if(session()->has('id')){
            if(!empty($id)){
                $email_template['type'] = $request->type; 
                $email_template['subject'] = (float) $request->subject;
                $email_template['body'] = $request->body; 
                $update_data = DB::table('email_templates')->where("email_templates_id",$id)->update($email_template);
                if($update_data){
                    Session::flash('success', ' Data Updated successfully'); 
                    return redirect('admin/email_templates');
                } else {
                    Session::flash('error', ' Oops! something went wrong'); 
                    return redirect('admin/email_templates');
                }
            } else {
                Session::flash('error', ' No Data Found'); 
                return redirect('admin/email_templates');
            }
        } else {
            return redirect('/');
        }        
    }
    //  Email Templates
}