<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Str;
use App\Models\Tag;

use App\Http\Controllers\Controller;
use App\User;
use Carbon\Carbon;
use DB;

use Artisan;
use Session;

class UsersController extends Controller{
    public $successStatus = 200;
    public $errorStatus = 401;

    // -------------- LOGIN PAGE ------------- //
    public function index(Request $request){
        if ($request->session()->has('id')) {
            return redirect('users/dashboard');
        } else{
            return view('users.login'); 
        }
    }
    // -------------- LOGIN PAGE ------------- //

    // -------------- LOGIN AUTHENTICATION ------------- //
    public function login(Request $request){
        $validateData = $request->validate([
            'email' => 'required|email',
            'password' => 'required'
        ]);
        
        $postData = $request->all();
        $ifExists = DB::table('users_system')->where('email', $postData['email'])->where('password', $postData['password'])->first();
        if (!empty($ifExists)) {
            $request->session()->put([
                'id' => $ifExists->users_system_id,
                'users_system_roles_id'=>$ifExists->users_system_roles_id,
                'user_image' => $ifExists->user_image,
                'fname' => $ifExists->first_name,
                'lname' => '',
                'email' => $ifExists->email,
            ]);
            Session::flash('success', ' Logged in successfully.'); 
            return redirect('users/dashboard');
        } else {
            Session::flash('error', 'Invalid Email/Password'); 
            return redirect()->back();
        }
    }
    // -------------- LOGIN AUTHENTICATION ------------- //

    // -------------- LOGOUT ------------- //
    public function logout(Request $request){
        $request->session()->flush();
        return redirect('/');
    }
    // -------------- LOGOUT ------------- //

    // ------------- DASHBOARD -------------- //
    public function dashboard(){
        if(session()->has('id')){
            $total_things                   = number_format(DB::table('things')->count());
            $total_categories               = number_format(DB::table('categories')->count());
            $total_categories_sub           = number_format(DB::table('categories_sub')->count());
            $total_active_users_customers   = number_format(DB::table('users_customers')->where('status', 'Active')->count());
            
            $total_things_1               = DB::table('things')->whereMonth('date_added', 1)->count();
            $total_things_2               = DB::table('things')->whereMonth('date_added', 2)->count();
            $total_things_3               = DB::table('things')->whereMonth('date_added', 3)->count();
            $total_things_4               = DB::table('things')->whereMonth('date_added', 4)->count();
            $total_things_5               = DB::table('things')->whereMonth('date_added', 5)->count();
            $total_things_6               = DB::table('things')->whereMonth('date_added', 6)->count();
            $total_things_7               = DB::table('things')->whereMonth('date_added', 7)->count();
            $total_things_8               = DB::table('things')->whereMonth('date_added', 8)->count();
            $total_things_9               = DB::table('things')->whereMonth('date_added', 9)->count();
            $total_things_10              = DB::table('things')->whereMonth('date_added', 10)->count();
            $total_things_11              = DB::table('things')->whereMonth('date_added', 11)->count();
            $total_things_12              = DB::table('things')->whereMonth('date_added', 12)->count();

            $total_users_1               = DB::table('users_customers')->whereMonth('date_added', 1)->count();
            $total_users_2               = DB::table('users_customers')->whereMonth('date_added', 2)->count();
            $total_users_3               = DB::table('users_customers')->whereMonth('date_added', 3)->count();
            $total_users_4               = DB::table('users_customers')->whereMonth('date_added', 4)->count();
            $total_users_5               = DB::table('users_customers')->whereMonth('date_added', 5)->count();
            $total_users_6               = DB::table('users_customers')->whereMonth('date_added', 6)->count();
            $total_users_7               = DB::table('users_customers')->whereMonth('date_added', 7)->count();
            $total_users_8               = DB::table('users_customers')->whereMonth('date_added', 8)->count();
            $total_users_9               = DB::table('users_customers')->whereMonth('date_added', 9)->count();
            $total_users_10              = DB::table('users_customers')->whereMonth('date_added', 10)->count();
            $total_users_11              = DB::table('users_customers')->whereMonth('date_added', 11)->count();
            $total_users_12              = DB::table('users_customers')->whereMonth('date_added', 12)->count();
            
            $recent_users_customers           = DB::table('users_customers')->orderBy("users_customers_id", "DESC")->take(5)->get();
            
            return view('admin.dashboard', compact('recent_users_customers', 'total_things', 'total_categories', 'total_categories_sub', 'total_active_users_customers',
                'total_things_1',
                'total_things_2',
                'total_things_3',
                'total_things_4',
                'total_things_5',
                'total_things_6',
                'total_things_7',
                'total_things_8',
                'total_things_9',
                'total_things_10',
                'total_things_11',
                'total_things_12',

                'total_users_1',
                'total_users_2',
                'total_users_3',
                'total_users_4',
                'total_users_5',
                'total_users_6',
                'total_users_7',
                'total_users_8',
                'total_users_9',
                'total_users_10',
                'total_users_11',
                'total_users_12'
            ));
        } else {
            return redirect('/');
        }
    }
    // ------------- DASHBOARD -------------- //

    // ------------- ACCOUNT SETTINGS -------------- //
    public function account_settings(){
        if(session()->has('id')){
            $fetch_data = DB::table('users_system')->where('users_system_id',session('id'))->get();
            return view('users.account_settings',compact('fetch_data'));
        } else {
            return redirect('/');
        }
    }
    // ------------- ACCOUNT SETTINGS -------------- //

    // ------------- UPDATE ACCOUNT SETTINGS -------------- //
    public function account_settings_update(Request $req,$id){
        $insert=array();
        $insert['first_name'] = $req->first_name;
        $insert['email'] = $req->email;
        $insert['password'] = $req->password;
        
        $insert['city'] = $req->city;
        $insert['address'] = $req->address;
        $insert['mobile'] = $req->mobile;

        if ($req->hasfile('image')) {
            $file = $req->file('image');
            if ($file->isValid()) {
                $ext = $file->extension();
                $path = public_path('uploads/users_system/');
                $prefix = 'user-' . md5(time());
                $img_name = $prefix . '.' . $ext;
                if ($file->move($path, $img_name)) {
                    $insert['user_image'] = 'uploads/users_system/' . $img_name;
                }
            }
        }

        $a = DB::table('users_system')->where('users_system_id','=',$id)->update($insert);
        if ($a) {
            Session::flash('success', ' Profile Updated successfully'); 
            return redirect('users/account_settings');
        } else {
            Session::flash('error', ' oops! something went wrong'); 
            return redirect('users/account_settings');
        }
    }
    // ------------- UPDATE ACCOUNT SETTINGS -------------- // 
}