@extends('layout.admin.list_master')
@section('content')
	<style>
	    .donut-chart-sale small {
	        font-size: 16px;
		    position: absolute;
		    width: 100%;
		    height: 100%;
		    left: 0;
		    display: flex;
		    align-items: center;
		    top: 0;
		    justify-content: center;
		    font-weight: 600;
		}		
		.news .post-item {
			background: #181822;
			border-radius: 14px;
			padding: 15px;
			margin-bottom:10px
		}
		.card {
		    padding: 0px;
		}
		.header{
			display:none;
		}
		[data-header-position="fixed"] .content-body {
			padding-top: 0 !important;
		}
    </style>
    <?php 
	    function time_elapsed_string($datetime, $full = false) {
		    $now = new DateTime;
		    $ago = new DateTime($datetime);
		    $diff = $now->diff($ago);

		    $diff->w = floor($diff->d / 7);
		    $diff->d -= $diff->w * 7;

		    $string = array(
		        'y' => 'year',
		        'm' => 'month',
		        'w' => 'week',
		        'd' => 'day',
		        'h' => 'hour',
		        'i' => 'minute',
		        's' => 'second',
		    );
		    foreach ($string as $k => &$v) {
		        if ($diff->$k) {
		            $v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
		        } else {
		            unset($string[$k]);
		        }
		    }

		    if (!$full) $string = array_slice($string, 0, 1);
		    return $string ? implode(', ', $string) . ' ago' : 'just now';
		}
	?>
	<div class="content-body">
        <div class="welcome-text">
			@section('titleBar')
			<span class="ml-2 text-white">Dashboard</span>
			@endsection
        </div>
               
    	<!-- row -->
		<div style="padding-top:0px;" class="container-fluid">
			<div class="row">
				<div class="col-md-9 col-sm-9">
					<div class="row">
						<div class="col-md-3 col-sm-6">
							<div class="card">
								<div class="card-body text-center">
								<img src="/portal/public/images/widget-icon1.svg" alt="image" class="mb-3">
									<h2 class="fs-30 text-black font-w600 mb-1">{{$total_things}}</h2>
									<span class="fs-14">Total Things</span>								
								</div>
							</div>
						</div>

						<div class="col-md-3 col-sm-6">
							<div class="card">
								<div class="card-body text-center">
								<img src="/portal/public/images/widget-icon2.svg" alt="image" class="mb-3">
									<h2 class="fs-30 text-black font-w600 mb-1">{{$total_categories}}</h2>
									<span class="fs-14">Total Categories</span>								
								</div>
							</div>
						</div>

						<div class="col-md-3 col-sm-6">
							<div class="card">
								<div class="card-body text-center">
								<img src="/portal/public/images/widget-icon4.svg" alt="image" class="mb-3">
									<h2 class="fs-30 text-black font-w600 mb-1">{{$total_active_users_customers}}</h2>
									<span class="fs-14">Users Active</span>								
								</div>
							</div>
						</div>

						<div class="col-md-3 col-sm-6">
							<div class="card">
								<div class="card-body text-center">
								<img src="/portal/public/images/widget-icon3.svg" alt="image" class="mb-3">
									<h2 class="fs-30 text-black font-w600 mb-1">{{$total_users_customers}}</h2>
									<span class="fs-14">Total Users</span>								
								</div>
							</div>
						</div>
					</div>

					<div class="card col-md-12 col-sm-12">
						<div class="card-header d-sm-flex d-block pb-0 border-0">
							<div class="d-flex align-items-center">
								<div class="mr-auto pr-3">
									<ul class="d-flex flex-wrap">
										<li class="mr-5 mb-2">
											<svg class="mr-2" width="19" height="19" viewBox="0 0 19 19" fill="none" xmlns="http://www.w3.org/2000/svg">
												<rect width="19" height="19" rx="9.5" fill="#7825CB"></rect>
											</svg>
											<span class="fs-12 text-black">Things</span>
										</li>
									</ul>
								</div>
							</div>
						</div>
						<div class="container" style="position: relative;">
							<div id="chartBarThings"></div>
						</div>
						<!-- Venues CHART -->
						
						<hr>

						<!-- USERS CHART -->
						<div class="card-header d-sm-flex d-block pb-0 border-0">
							<div class="d-flex align-items-center">
								<div class="mr-auto pr-3">
									<ul class="d-flex flex-wrap">
										<li class="mr-5 mb-2">
											<svg class="mr-2" width="19" height="19" viewBox="0 0 19 19" fill="none" xmlns="http://www.w3.org/2000/svg">
												<rect width="19" height="19" rx="9.5" fill="#7825CB"></rect>
											</svg>
											<span class="fs-12 text-black">Users</span>
										</li>
									</ul>
								</div>
							</div>
						</div>
						<div class="container" style="position: relative;">
							<div id="chartBarUsers"></div>
						</div>
					</div>
					<!-- USERS CHART -->
				</div>

				<div class="col-md-3 col-sm-3">
					<div class="card">
						<div class="card-body pb-0 px-3">

						<div class="text-center mb-5">
						        <?php
    								$img2=DB::table('users_system')->select('user_image')->where('users_system_id', session('id'))->first();
    								$img=$img2->user_image;
    							?>
								<img src="{{ url('portal/public') }}/{{ $img }}" class="img rounded-pill mb-2 height130 width130" alt=""> 

								<p class="text-white">
								     <?php
        								$user_data = DB::table('users_system')->select('first_name')->where('users_system_id', session('id'))->first();
        								echo $first_name = $user_data->first_name;
        							?>    
								    <br> 
								    <small><a class="text-primary" href="{{ url('admin/account_settings') }}">Edit Info</a></small>
								</p>
							</div>
 
							<h5 class="card-title mb-4">Recent Users Signup</h5>

							<div class="news">
								<?php if($recent_users_customers){ ?>
								<?php foreach($recent_users_customers as $visitor){ ?>
									<div class="post-item clearfix"> 									
										<div class="d-flex align-items-center">
											<div>
												<?php if(!empty($visitor->profile_picture)){ ?>
												<img src="{{ url('portal/public') }}/{{ $visitor->profile_picture }}" class="rounded-pill mr-2" alt="" width="45" height="45"> 
												<?php } else { ?>
												<img src="{{ url('portal/public') }}/uploads/placeholder/default.png" class="rounded-pill mr-2" alt="" width="45" height="45"> 
												<?php } ?>													
											</div>
											<div class="w-100">
												<div class="d-flex justify-content-between align-items-center gap-2">
													<p class="mb-0 fs-12 font-w600 text-white"><?php if(!empty($visitor->full_name)) echo $visitor->full_name; else echo "N/A"; ?></p>
													<div><small class="fs-8"><?php echo time_elapsed_string($visitor->date_added); ?></small></div>
												</div>
												<small class="fs-10"><?php echo $visitor->email; ?></small>
											</div>
										</div>
											           
									</div>
								<?php } ?>
								<?php } else { ?>
								<div class="post-item clearfix" style="margin-bottom: 10px;"> 
									<p>No Users!</p>
								</div>
								<?php } ?>
							</div>
							<div class="clearfix"> </div>
						</div>
					</div>
				</div>
	        </div>
	    </div>
    </div> 

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.5.1.js"></script>

	<link href="{{url('portal/public')}}/vendor/chartist/css/chartist.min.css" rel="stylesheet" type="text/css"/>
	<script src="{{url('portal/public')}}/vendor/chart.js/Chart.bundle.min.js" type="text/javascript"></script>
	<script src="{{url('portal/public')}}/vendor/apexchart/apexchart.js" type="text/javascript"></script>
	<script src="{{url('portal/public')}}/vendor/peity/jquery.peity.min.js" type="text/javascript"></script>

	<script type="text/javascript">
		(function($) {
			/* "use strict" */
			var dzChartlist = function(){	
				var screenWidth = $(window).width();
				var chartBarThings = function(){
					var optionsArea = {
			          	series: [{
			            	name: "Things",
			            	data: [
		            			{{$total_things_1}}, 
		            			{{$total_things_2}}, 
		            			{{$total_things_3}}, 
		            			{{$total_things_4}}, 
		            			{{$total_things_5}}, 
		            			{{$total_things_6}}, 
		            			{{$total_things_7}}, 
		            			{{$total_things_8}}, 
		            			{{$total_things_9}}, 
		            			{{$total_things_10}}, 
		            			{{$total_things_11}}, 
		            			{{$total_things_12}}
		            		]
			          	}],
				        chart: {
					        height: 350,
					        type: 'area',
						  		group: 'social',
							  	toolbar: {
					            show: false
					        },
					        zoom: {
					          enabled: false
					        },
					   	},
				      	dataLabels: {
				        	enabled: false
				      	},
				      	stroke: {
				        	width: [4],
					  		colors:['#7825CB','#B2B2B2'],
					  		curve: 'straight'
				      	},
				      	legend: {
							show:false,
				        	tooltipHoverFormatter: function(val, opts) {
				        		return val + ' - ' + opts.w.globals.series[opts.seriesIndex][opts.dataPointIndex] + ''
				       		},
						  	markers: {
								fillColors:['#7825CB','#7825CB','#7825CB'],
								width: 19,
								height: 19,
								strokeWidth: 0,
								radius: 19
					  		}
			   			}, 
				    	markers: {
			          		size: [6],
					  		strokeWidth: [4],
					  		strokeColors: ['#B2B2B2'],
					  		border:0,
					  		colors:['#fff'],
			          		hover: {
			            		size: 10,
			          		}
			        	},
			        	xaxis: {
			          		categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep','Oct','Nov','Dec' ],
					  		labels: {
					   			style: {
						  			colors: '#B2B2B2',
						  			fontSize: '14px',
						   			fontFamily: 'Poppins',
						  			fontWeight: 100,
								},
					  		},
				        },
						yaxis: {
							labels: {
								offsetX:-16,
							  	style: {
							  		colors: '#B2B2B2',
							  		fontSize: '14px',
							   		fontFamily: 'Poppins',
							  		fontWeight: 100,
								},
					  		},
						},
						fill: {
							colors:['#7825CB'],
							type:'solid',
							opacity: 0.2
						},
						colors:['#7825CB'],
			        	grid: {
			          		borderColor: '#3F3F52',
					  		xaxis: {
			            		lines: {
			              			show: true
			            		}
			          		}
			        	},
						responsive: [{
							breakpoint: 575,
							options: {
								chart: {
									height: 250,
								},
								markers: {
								 	size: [4],
								 	hover: {
										size: 7,
								  	}
								}
							}
					 	}]
			        };
					var chartArea = new ApexCharts(document.querySelector("#chartBarThings"), optionsArea);
			        chartArea.render();
				}

				var chartBarUsers = function(){
					var optionsArea = {
			          	series: [{
			            	name: "Users",
			            	data: [
			            		{{$total_users_1}}, 
		            			{{$total_users_2}}, 
		            			{{$total_users_3}}, 
		            			{{$total_users_4}}, 
		            			{{$total_users_5}}, 
		            			{{$total_users_6}}, 
		            			{{$total_users_7}}, 
		            			{{$total_users_8}}, 
		            			{{$total_users_9}}, 
		            			{{$total_users_10}}, 
		            			{{$total_users_11}},
		            			{{$total_users_12}}
			            	]
			          	}],
				        chart: {
					        height: 350,
					        type: 'area',
						  		group: 'social',
							  	toolbar: {
					            show: false
					        },
					        zoom: {
					          enabled: false
					        },
					   	},
				      	dataLabels: {
				        	enabled: false
				      	},
				      	stroke: {
				        	width: [4],
					  		colors:['#7825CB'],
					  		curve: 'straight'
				      	},
				      	legend: {
							show:false,
				        	tooltipHoverFormatter: function(val, opts) {
				        		return val + ' - ' + opts.w.globals.series[opts.seriesIndex][opts.dataPointIndex] + ''
				       		},
						  	markers: {
								fillColors:['#7825CB','#7825CB','#7825CB'],
								width: 19,
								height: 19,
								strokeWidth: 0,
								radius: 19
					  		}
			   			}, 
				    	markers: {
			          		size: [6],
					  		strokeWidth: [4],
					  		strokeColors: ['#B2B2B2'],
					  		border:0,
					  		colors:['#fff'],
			          		hover: {
			            		size: 10,
			          		}
			        	},
			        	xaxis: {
			          		categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep','Oct','Nov','Dec' ],
					  		labels: {
					   			style: {
						  			colors: '#B2B2B2',
						  			fontSize: '14px',
						   			fontFamily: 'Poppins',
						  			fontWeight: 100,
								},
					  		},
				        },
						yaxis: {
							labels: {
								offsetX:-16,
							  	style: {
							  		colors: '#B2B2B2',
							  		fontSize: '14px',
							   		fontFamily: 'Poppins',
							  		fontWeight: 100,
								},
					  		},
						},
						fill: {
							colors:['#7825CB'],
							type:'solid',
							opacity: 0.2
						},
						colors:['#7825CB'],
			        	grid: {
			          		borderColor: '#3F3F52',
					  		xaxis: {
			            		lines: {
			              			show: true
			            		}
			          		}
			        	},
						responsive: [{
							breakpoint: 575,
							options: {
								chart: {
									height: 250,
								},
								markers: {
								 	size: [4],
								 	hover: {
										size: 7,
								  	}
								}
							}
					 	}]
			        };
					var chartArea = new ApexCharts(document.querySelector("#chartBarUsers"), optionsArea);
			        chartArea.render();
				}

				/* Function ============ */
				return {
					init:function(){},
			
					load:function(){
						chartBarThings();
						chartBarUsers();
					},
					resize:function(){}
				}
			}();
			
			jQuery(window).on('load',function(){
				setTimeout(function(){
					dzChartlist.load();
				}, 1000); 		
			});

			jQuery(document).ready(function(){});
			jQuery(window).on('resize',function(){});     
		})(jQuery);
	</script> 
@endsection