@extends('layout.admin.list_master')
@section('content')
<style>
.btn-light {
    padding-left: 10px;
}
</style>
<div class="content-body">
    <div class="container-fluid">
        <div class="page-titles mb-n5">
            <ol class="breadcrumb">
                @section('titleBar')
                <span class="ml-2 text-white">Manage Sub Categories</span>
                @endsection
            </ol>
        </div>
        <!-- row -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="example" class="table dt-responsive nowrap display min-w850">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Action</th>
                                        <th>Image</th>
                                        <th>Tags</th>
                                        <th>User Details</th>
                                        <th>Category</th>
                                        <th>Name</th>
                                        <th>Earn Points</th>
                                        <th>Location</th>
                                        <th>Description</th>
                                        <th>Sources Links</th>
                                        <th>Confirm By Moderator</th>
                                        <th>Status</th>
                                        <th>Date Added</th>
                                        <th>Date Modified</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($fetch_data as $key => $items)
                                    <tr class="odd gradeX">
                                        <td>{{ $items->things_id }}</td>
                                        
                                        <td>
                                            <a class="btn btn-primary"
                                                href="{{url('admin/things_update/' . $items->things_id)}}">
                                                <i class="fa fa-pencil"></i> 
                                            </a>
                                            
                                            <a class="btn btn-outline-danger icon-btn"
                                                href="{{url('admin/things_delete/' . $items->things_id)}}">
                                                <i class="far fa-times-circle"></i> 
                                            </a>
                                        </td>

                                        <td>
                                            <?php $things_images = db::table('things_images')->where('things_id', $items->things_id)->get(); ?>
                                            @foreach ($things_images as $key_in => $items_in)
                                                @if($items_in->name)
                                                <img src="{{ asset($items_in->name)}}" class="rounded-profile">
                                                @else
                                                <img src="{{asset('uploads/placeholder/default.png')}}"
                                                    class="rounded-profile">
                                                @endif
                                            @endforeach
                                        </td>
                                        
                                        <td>
                                            <?php $things_tags = db::table('things_tags')->where('things_id', $items->things_id)->get(); ?>
                                            @foreach ($things_tags as $key_in => $items_in)
                                                @if($items_in->name)
                                                <span class="btn btn-warning">{{ $items_in->name }}</span>
                                                @else
                                                <span class="btn btn-danger">No Tags</span>
                                                @endif
                                            @endforeach
                                        </td>
                                        
                                        <td>
                                            <?php 
                                                $users_customers = db::table('users_customers')->where('users_customers_id', $items->users_customers_id)->first(); 
                                                echo $users_customers->first_name; 
                                            ?>
                                        </td>

                                        <td>
                                            <?php 
                                                $categories = db::table('categories')->where('categories_id', $items->categories_id)->first(); 
                                                if($categories->parent_id != 0){
                                                    $categories_sub = db::table('categories')->where('categories_id', $categories->parent_id)->first(); 

                                                    echo $categories_sub->name . ' --> '; 
                                                }
                                                
                                                echo $categories->name; 
                                            ?>
                                        </td>

                                        <td>{{ $items->name }}</td>
                                        <td>{{ $items->earn_points }}</td>
                                        
                                        <td>
                                            Location: {{ $items->location }} <br>
                                            Country: {{ $items->country }} <br>
                                            State: {{ $items->state }} <br>
                                            City: {{ $items->city }} <br>
                                            Post Code: {{ $items->post_code }} <br>
                                            Longitude: {{ $items->longitude }} <br>
                                            Lattitude: {{ $items->lattitude }} <br>
                                        </td>
                                        
                                        <td>{{ $items->description }}</td>
                                        <td>{{ $items->sources_links }}</td>
                                        <td>{{ $items->confirm_by_moderator }}</td>
                                        
                                        <td>
                                            @if ($items->status=='Active')
                                            <span class="btn btn-primary">Active</span>
                                            @elseif ($items->status=='Deleted')
                                            <span class="btn btn-danger">Deleted</span>
                                            @else
                                            <span class="btn btn-warning">In Active</span>
                                            @endif
                                        </td>
                                        
                                        <td>{{ $items->date_added }}</td>
                                        <td>{{ $items->date_modified }}</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection