<?php
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ApiController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\LiveStreamingController;
use App\Helpers\Helper;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* ----------------------------------- BUSINESS PANEL --------------------------------------------- */
// Base Default Route
Route::get('/', [UsersController::class, 'index']);
// Base Default Route
/* ----------------------------------- BUSINESS PANEL --------------------------------------------- */

/* ----------------------------------- ADMIN PANEL --------------------------------------------- */
// Base Authentication Routes
Route::get('/admin', [AdminController::class, 'index']);
Route::post('/admin_login', [AdminController::class, 'login']);
Route::get('/admin/logout', [AdminController::class, 'logout']);
// Base Authentication Routes

// DASHBOARD
Route::get('/admin/dashboard', [AdminController::class, 'Dashboard']);
// DASHBOARD

// THINGS
Route::get('/admin/things', [AdminController::class, 'things']);

Route::get('/admin/things_add', [AdminController::class, 'things_add']);
Route::post('/admin/things_add_save', [AdminController::class, 'things_add_save']);

Route::get('/admin/things_update/{id}', [AdminController::class, 'things_update'])->name('things_update');
Route::post('/admin/things_update_save/{id}', [AdminController::class, 'things_update_save'])->name('things_update_save');

Route::get('/admin/things_delete/{id}', [AdminController::class, 'things_delete'])->name('things_delete');
// THINGS

// USERS CUSTOMERS
Route::get('/admin/users_customers', [AdminController::class, 'users_customers']);
Route::get('/admin/users_customers_update/{id}/{status}', [AdminController::class, 'users_customers_update'])->name('users_customers_update');
Route::get('/admin/users_customers_delete/{id}', [AdminController::class, 'users_customers_delete'])->name('users_customers_delete');
// USERS CUSTOMERS

// CATEGORIES
Route::get('/admin/categories', [AdminController::class, 'categories']);

Route::get('/admin/categories_add', [AdminController::class, 'categories_add']);
Route::post('/admin/categories_add_save', [AdminController::class, 'categories_add_save']);

Route::get('/admin/categories_update/{id}', [AdminController::class, 'categories_update'])->name('categories_update');
Route::post('/admin/categories_update_save/{id}', [AdminController::class, 'categories_update_save'])->name('categories_update_save');

Route::get('/admin/categories_delete/{id}', [AdminController::class, 'categories_delete'])->name('categories_delete');
// CATEGORIES

// SUB CATEGORIES
Route::get('/admin/categories_sub', [AdminController::class, 'categories_sub']);

Route::get('/admin/categories_sub_add', [AdminController::class, 'categories_sub_add']);
Route::post('/admin/categories_sub_add_save', [AdminController::class, 'categories_sub_add_save']);

Route::get('/admin/categories_sub_update/{id}', [AdminController::class, 'categories_sub_update'])->name('categories_sub_update');
Route::post('/admin/categories_sub_update_save/{id}', [AdminController::class, 'categories_sub_update_save'])->name('categories_sub_update_save');

Route::get('/admin/categories_sub_delete/{id}', [AdminController::class, 'categories_sub_delete'])->name('categories_sub_delete');
// SUB CATEGORIES

// USERS SYSTEM
Route::get('/admin/users_system', [AdminController::class, 'users_system']);
Route::post('/admin/users_system_update/{id}', [AdminController::class, 'users_system_update'])->name('users_system_update');
Route::post('/admin/users_system_delete/{id}', [AdminController::class, 'users_system_delete'])->name('users_system_delete');
// USERS SYSTEM

//Start GENERAl Settings
Route::get('/admin/system_settings', [AdminController::class, 'system_settings']);
Route::post('/admin/system_settings_edit', [AdminController::class, 'system_settings_edit']);
//End GENERAl Settings

//Account Settings
Route::get('/admin/account_settings', [AdminController::class, 'account_settings']);
Route::post('/admin/account_settings_update/{id}', [AdminController::class, 'account_settings_update'])->name('account_settings_update');
//Account Settings

// Email Templates
Route::get('/admin/email_templates', [AdminController::class, 'email_templates']);
Route::post('/edit_template/{id}', [AdminController::class, 'edit_template'])->name('edit_template');   
Route::post('/update_template/{id}', [AdminController::class, 'update_template'])->name('update_template');
// Email Templates
/* ----------------------------------- ADMIN PANEL --------------------------------------------- */ 