<!DOCTYPE html>
<html lang="en" class="h-100">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <?php $system_image = DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); ?>
        <?php $system_image_favicon = DB::table('system_settings')->select('description')->where('type', 'system_image_favicon')->get(); ?>
        <?php $system_name  = DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); ?>
        <title><?php echo $system_name[0]->description; ?> :: Admin Portal</title>
        <!-- Favicon icon -->
        <link rel="icon" type="image" sizes="24x24" href="<?php echo e(url('public')); ?>/<?php echo e($system_image_favicon[0]->description); ?>">
        <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('scss/main.css')); ?>" rel="stylesheet">        
    </head>
    <?php $bg_image=url('public').'/images/bgcrowd.jpg'; ?>
    <body class="h-100">
        <div class="wrapper-login">
                <div class="image-holder">
                    <img src="<?php echo e(url('public')); ?>/assets/image-resources/full-bg/loginBg.jpg" alt="">
                </div>
                <div class="form-inner">
                    <form  method="POST" action="<?php echo e(url('/admin_login')); ?>">
                    <?php echo csrf_field(); ?>
                        <div class="form-header text-center">
                            <img class="mb-4" src="<?php echo e(url('public')); ?>/<?php echo e($system_image[0]->description); ?>" />
                            <h4 class="text-center mb-4">Sign in your account</h4>
                        </div>
                        <div class="form-group">
                            <label for="email" class="font-w600 text-white">Email:</label>
                            <input type="email" class="form-control"  id="email" name="email" placeholder="Enter email">
                        </div>
                        <div class="form-group">
                            <label for="password" class="font-w600 text-white">Password:</label>
                            <div class="input-group">
                                <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password">
                                <a href="#" class="input-group-text text-white"><i class="fa fa-eye"></i></a>
                            </div>                           
                        </div>

                        <div class="text-center mb-3 mt-4">
                            <button type="submit" class="btn btn-primary btn-block btn-lg">Login</button>
                            
                        </div>

                        <div class="mb-5">
                            <a href="#" class="text-white">Forgot Password?</a>
                        </div>

                        <div class="text-center p-3 py-md-4 px-md-5">
                            <p class="text-white mt-0 mt-md-4 fs-12">By signing you agree to our Terms of Service, Privacy Policy and Cookie Policy.</p>
                        </div>                       
                    </form>
                </div>
                
            </div>

            

        <div class="authincation h-100 d-none">
            <div class="container h-100">
                <div class="row justify-content-center h-100 align-items-center">
                    <div class="col-md-6">
                        <div class="authincation-content">
                            <div class="row no-gutters">
                                <div class="col-xl-12">
                                    <div class="auth-form">
                                        <img align="center" class="mb-4  offset-md-3" height="90" src="<?php echo e(url('public')); ?>/<?php echo e($system_image[0]->description); ?>" />
                                        <h4 class="text-center mb-4" style="color:#531C7C">Sign in your account</h4>
                                        <form  method="POST" action="<?php echo e(url('/admin_login')); ?>">
                                        <?php echo csrf_field(); ?>
                                            <div class="form-group">
                                                <label class="mb-1"><strong>Email</strong></label>
                                                <input type="email" class="form-control"  id="email" name="email" placeholder="Enter email">
                                            </div>
                                            <div class="form-group">
                                                <label class="mb-1"><strong>Password</strong></label>
                                                <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password">
                                            </div>
                                            <div class="text-center">
                                                <button type="submit" class="btn btn-primary btn-block">Login</button>
                                                
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--**********************************
            Scripts
        ***********************************-->
        <!-- Required vendors -->
        <script src="<?php echo e(asset('vendor/global/global.min.js')); ?>"></script>
    	<script src="<?php echo e(asset('vendor/bootstrap-select/dist/js/bootstrap-select.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/custom.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/deznav-init.js')); ?>"></script>
    </body>
</html><?php /**PATH /home/eigixn5/public_html/crowd/resources/views/admin/login.blade.php ENDPATH**/ ?>