<?php $__env->startSection('content'); ?>
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    <?php $__env->startSection('titleBar'); ?>
                    <span class="ml-2 text-white">Manage Venues</span>
                    <?php $__env->stopSection(); ?>
				</ol>
            </div>
            <!-- row -->
            <style>
                        .image-container {
                            position: relative;
                            display: inline-block;
                            margin-top: 20px;    
                            margin-left: 20px;       
                        }

                        .remove-button {
                            position: absolute;
                            top: 14px;
                            right: 14px;
                            transform: translate(-50%, -50%);
                            background-color: lightblue;
                            border: none;
                            color: red;
                            cursor: pointer;
                            z-index: 2; /* Ensure the button is above the image */
                            width: 25px; /* Set width and height to create a circle */
                            height: 25px; /* Adjust as needed */
                            border-radius: 40%; /* Set border-radius to 50% for a circle */
                            text-align: center; /* Center the content horizontally */
                            line-height: 25px; /* Center the content vertically */
                        }
            </style>

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <?php $__currentLoopData = $fetch_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="form-validation">
                                <form class="form-valide" action="<?php echo e(url('admin/manage_venues_update', [$items->venues_id])); ?>" method="post" enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <div class="row">
                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Name <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="name" name="name" placeholder="Enter a Venue Name" value="<?php echo e($items->name); ?>" required>
                                            </div>
                                        </div>
                                    
                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Capacity <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="capacity" name="capacity" placeholder="Enter a Capacity" value="<?php echo e($items->capacity); ?>" required>
                                            </div>
                                        </div>
                                        <div class="col-xl-12 form-group">
                                            <?php   
                                            $images = DB::table('venues_images')->where('venues_id', '=', $items->venues_id)->get();
                                            $imageCount = count($images);
                                            ?>
                                                    <div class="row">
                                                        <?php $__currentLoopData = $images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <div class="col-<?php echo e($imageCount > 1 ? '2' : '12'); ?>">
                                                                <div class="image-container">
                                                                    <img class="mr-4 food-image rounded" src="<?php echo e(url('public') . '/' . $image->name); ?>" alt="" width="140" height="140">
                                                                    <button class="remove-button" data-image-id="<?php echo e($image->venues_images_id); ?>">X</button>
                                                                    <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                                                                    <input type="hidden" name="imageIds[]" value="<?php echo e($image->venues_images_id); ?>">
                                                                </div>
                                                            </div>
                                                            <?php if(($index + 1) % 6 == 0): ?> <!-- Close row and start a new one every six images -->
                                                                </div><div class="row">
                                                            <?php endif; ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </div>

                                                <!-- Separate file input field for adding new images -->
                                                <div class="col-xl-12 form-group">
                                                    <label class="col-lg-12 col-form-label" for="val-username">Insert Images <span class="text-danger">*</span> </label>
                                                    <div class="col-lg-12">
                                                        <input type="file" id="newImages" class="form-control" name="newImages[]" multiple>
                                                    </div>
                                                </div>

                                                <!-- Hidden input field to store deleted image IDs -->
                                                <input type="hidden" id="deletedImageIds" name="deletedImageIds[]">    
                                        </div>                                                                                           
                                        <div style="clear:both"></div>
                                        <?php
                                        $venue_type = DB::table('venues_type')->where('status', '!=', 'Inactive')->orderBy('venues_type_id', 'DESC')->get();
                                        $selected_venue_keywords = DB::table('venues_keywords')->where('venues_id', $items->venues_id)->where('keyword_type','venues_type')->pluck('keyword_value')->toArray();
                                        ?>
                                    
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Type <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <select multiple class="form-control" id="venue_type" name="venue_type[]" placeholder="Select Type" required>
                                                    <?php $__currentLoopData = $venue_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($type->venues_type_name); ?>" <?php echo e(in_array($type->venues_type_name, $selected_venue_keywords) ? 'selected' : ''); ?>><?php echo e($type->venues_type_name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php
                                        $venues_music = DB::table('venues_music')->where('status', '!=', 'Inactive')->orderBy('venues_music_id', 'DESC')->get();
                                        $selected_music_keywords = DB::table('venues_keywords')->where('venues_id', $items->venues_id)->where('keyword_type', 'venues_music')->pluck('keyword_value')->toArray();
                                        ?>
                                    
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Music <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <select multiple class="form-control" id="venues_music" name="venues_music[]" placeholder="Select Type" required>
                                                    <?php $__currentLoopData = $venues_music; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $music): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($music->music_type); ?>" <?php echo e(in_array($music->music_type, $selected_music_keywords) ? 'selected' : ''); ?>><?php echo e($music->music_type); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php
                                        $venues_budget = DB::table('venues_budget')->where('status', '!=', 'Inactive')->orderBy('venues_budget_id', 'DESC')->get();
                                        $selected_budget_keyword = DB::table('venues_keywords')->where('venues_id', $items->venues_id)->where('keyword_type', 'venues_budget')->pluck('keyword_value')->first();
                                        ?>
                                    
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Budget <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="venues_budget" name="venues_budget" placeholder="Select Type" required>
                                                    <?php $__currentLoopData = $venues_budget; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($type->budget_range); ?>" <?php if($type->budget_range == $selected_budget_keyword): ?> selected <?php endif; ?>><?php echo e($type->budget_range); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php
                                        $venue_cuisine = DB::table('venues_cusine')->where('status', '!=', 'Inactive')->orderBy('venues_cusine_id', 'DESC')->get();
                                        $selected_cuisine_keywords = DB::table('venues_keywords')->where('venues_id', $items->venues_id)->where('keyword_type', 'venues_cusine')->pluck('keyword_value')->toArray();
                                        ?>
                                    
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Cuisine <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <select multiple class="form-control" id="venue_cuisine" name="venue_cuisine[]" placeholder="Select Type" required>
                                                    <?php $__currentLoopData = $venue_cuisine; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cuisine): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($cuisine->cusine); ?>" <?php echo e(in_array($cuisine->cusine, $selected_cuisine_keywords) ? 'selected' : ''); ?>><?php echo e($cuisine->cusine); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php
                                        $venue_food = DB::table('venues_food')->where('status', '!=', 'Inactive')->orderBy('venues_food_id', 'DESC')->get();
                                        $selected_food_keywords = DB::table('venues_keywords')->where('venues_id', $items->venues_id)->where('keyword_type', 'venues_food')->pluck('keyword_value')->toArray();
                                        ?>
                                    
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Venue Food <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <select multiple class="form-control" id="venue_food" name="venue_food[]" placeholder="Select Type" required>
                                                    <?php $__currentLoopData = $venue_food; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $food): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($food->food_type); ?>" <?php echo e(in_array($food->food_type, $selected_food_keywords) ? 'selected' : ''); ?>><?php echo e($food->food_type); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php
                                        $payment_method_options = [
                                            ['value' => 'cash', 'label' => 'Cash Payment'],
                                            ['value' => 'card', 'label' => 'Card Payment']
                                        ];
                                    
                                        $selected_payment_keyword = DB::table('venues_keywords')
                                            ->where('venues_id', $items->venues_id)
                                            ->where('keyword_type', 'payment_method')
                                            ->pluck('keyword_value')
                                            ->first();
                                        ?>
                                    
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="payment_method">Payment Method <span class="text-danger">*</span></label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="payment_method" name="payment_method" required>
                                                    <?php $__currentLoopData = $payment_method_options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($option['value']); ?>" <?php echo e($selected_payment_keyword == $option['value'] ? 'selected' : ''); ?>><?php echo e($option['label']); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Location <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="location" name="location" onkeyup="initialize_map(this);" placeholder="Enter a location" value="<?php echo e($items->location); ?>" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Lattitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="lattitude" name="lattitude" placeholder="Enter a lattitude" value="<?php echo e($items->lattitude); ?>" required readonly>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Longitude <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="longitude" name="longitude" placeholder="Enter a longitude" value="<?php echo e($items->longitude); ?>" required readonly>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Google Place ID <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="google_place_id" name="google_place_id" placeholder="Enter a Google Place ID" value="<?php echo e($items->google_place_id); ?>" required readonly>
                                            </div>
                                        </div>
                                    </div>
                                    <?php
                                    $existingHours = DB::table('venues_hours')
                                       ->select('venues_days.days_name', 'venues_hours.start_hours', 'venues_hours.close_hours')
                                       ->join('venues_days', 'venues_days.venues_days_id', '=', 'venues_hours.venues_hours_days')
                                       ->where('venues_hours.venues_id', $items->venues_id)
                                       ->where('venues_hours.status', 'Active')
                                       ->get();
                                   ?>
                               
                                        <div class="row">
                                            <legend class="row col-md-12"> Add Hours</legend>
                                            <div class="row col-md-12"> 
                                                <table class="table">
                                                    <thead>
                                                        <tr>
                                                            <th class="form-group col-md-4">Day</th>
                                                            <th class="form-group col-md-4">Start Hours</th>
                                                            <th class="form-group col-md-4">Close Hours</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php $__currentLoopData = $existingHours; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $existingHour): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <tr>
                                                                <td class="form-group col-md-4"><?php echo e($existingHour->days_name); ?></td>
                                                                <td class="form-group col-md-4">
                                                                    <label>
                                                                        <input type="time" name="hours[<?php echo e($index + 1); ?>][start]" value="<?php echo e($existingHour->start_hours); ?>">  
                                                                    </label>
                                                                </td>
                                                                <td class="form-group col-md-4">
                                                                    <input type="time" name="hours[<?php echo e($index + 1); ?>][close]" value="<?php echo e($existingHour->close_hours); ?>">
                                                                </td>
                                                            </tr>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </tbody>
                                                </table>
                                            </div> 
                                        </div>
                                    
                                        
                                        <?php if($items->users_business_id != 27): ?>
                                            <div class="row">
                                                <div class="col-xl-6 form-group">
                                                    <label class="col-lg-12 col-form-label" for="val-username">Discount Percentage <span class="text-danger">*</span> </label>
                                                    <div class="col-lg-12">
                                                        <input type="number" max="100.00" class="form-control" id="discount_percentage" name="discount_percentage" placeholder="Enter a Discount Percentage" value="<?php echo e($items->discount_percentage); ?>">
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    <div class="row">
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Website <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="website" name="website" placeholder="Enter a Website" value="<?php echo e($items->website); ?>" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Menu Link <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="menu_link" name="menu_link" placeholder="Enter a Menu Link" value="<?php echo e($items->menu_link); ?>" required>
                                            </div>
                                        </div>
                                        
                                        <div class="col-xl-4 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Phone Number <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <input type="text" class="form-control" id="phone_number" name="phone_number" placeholder="Enter a Phone Number" value="<?php echo e($items->phone_number); ?>" required>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-4 col-form-label" for="val-username">Description <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="description" name="description" placeholder="Enter a Description" rows="10"><?php echo e($items->description); ?></textarea>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Important Information <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="important_info" name="important_info" placeholder="Enter a Description" rows="10"><?php echo e($items->important_info); ?></textarea>
                                            </div>
                                        </div>

                                        <div class="col-xl-12 form-group">
                                            <label class="col-lg-12 col-form-label" for="val-username">Restaurant Note <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <textarea class="form-control" id="restaurant_note" name="restaurant_note" placeholder="Enter a Description" rows="10"><?php echo e($items->restaurant_note); ?></textarea>
                                            </div>
                                        </div>

                                              

                                        <div class="col-xl-6 form-group">
                                            <label class="col-lg-4 col-form-label" for="val-username">Status <span class="text-danger">*</span> </label>
                                            <div class="col-lg-12">
                                                <select class="form-control" id="status" name="status" required>
                                                    <option value="Active" <?php if($items->status == 'Active') echo "selected"; ?>>Active</option>
                                                    <option value="Inactive" <?php if($items->status == 'Inactive') echo "selected"; ?>>Inactive</option>
                                                    <option value="Deleted" <?php if($items->status == 'Deleted') echo "selected"; ?>>Deleted</option>
                                                </select>
                                            </div>
                                        </div>


                                        <div class="col-xl-12 form-group row">
                                            <div class="col-lg-12 ml-auto">
                                                <input type="hidden" class="form-control" id="venues_id" name="venues_id" value="<?php echo e($items->venues_id); ?>" required>
                                                <button type="submit" name="Delete" class="btn btn-danger pull-right" style="margin: 15px;width:300px">Delete</button>
                                                <button type="submit" name="update" class="btn btn-primary pull-right" style="margin: 15px;width:300px">Update</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<script>
document.addEventListener('DOMContentLoaded', function() {
    var removeButtons = document.querySelectorAll('.remove-button');

    removeButtons.forEach(function(button) {
        button.addEventListener('click', function(event) {
            event.preventDefault(); // Prevent default form submission behavior
            
            var imageId = this.getAttribute('data-image-id');
            var imageContainer = this.closest('.image-container');
            var csrfToken = document.querySelector('input[name="_token"]').value;

            deleteImage(imageId, csrfToken,imageContainer) ;
        });
    });

    function deleteImage(imageId, csrfToken , imageContainer) {
        fetch('/delete-image/' + imageId, {
            method: 'DELETE',
            headers: {
                'X-CSRF-TOKEN': csrfToken,
                'Content-Type': 'application/json'
            }
        })
        .then(response => {
            if (response.ok) {
                // Image deleted successfully
                // Remove the image container element from the DOM
                imageContainer.remove();
                console.log('Image container element removed from the DOM');
            }  else {
                console.error('Error deleting image');
            }
        })
        .catch(error => {
            console.error('Error deleting image:', error);
        });
    }
});

</script>


<?php echo $__env->make('layout.admin.list_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/crowd/resources/views/admin/manage_venues_views.blade.php ENDPATH**/ ?>